Bug 18084 - Language selector is hidden in user menu on mobile interfaces
Summary: Language selector is hidden in user menu on mobile interfaces
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-08 16:19 UTC by Katrin Fischer
Modified: 2019-11-26 12:17 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 18084: Language selector hidden in user menu on mobile interfaces (23.57 KB, patch)
2019-06-13 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18084: Language selector hidden in user menu on mobile interfaces (23.68 KB, patch)
2019-10-01 13:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18084: Language selector hidden in user menu on mobile interfaces (23.67 KB, patch)
2019-10-01 14:13 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 18084: Language selector hidden in user menu on mobile interfaces (23.73 KB, patch)
2019-10-02 14:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18084: (RM follow-up) Fix authentication tests (2.66 KB, patch)
2019-10-07 11:13 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-02-08 16:19:21 UTC
If you choose to have the language selection at the top, it will be hidden in the 'user menu' on smaller display sizes. That seems a bit counter-intuitive as you wouldn't expect it there. 
It would be nice if it was visible at all times.
Comment 1 Owen Leonard 2019-06-13 15:19:42 UTC
Created attachment 90578 [details] [review]
Bug 18084: Language selector hidden in user menu on mobile interfaces

This patch updates templates and CSS so that the language-selection menu
in the header will not be hidden if the browser width is too narrow.

This patch also makes some more general improvements to the responsive
adaptability of the header elements.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the changes by viewing pages in the OPAC and adjusting your browser
width, paying attention to how elements in the top menu adapt to
different sizes. Test under varying conditions:

 - Logged in/not loggeed user
 - Search history enabled and disabled
 - OpacLangSelectorMode showing menu in header or not
 - opacuserlogin enabled or disabled
Comment 2 Owen Leonard 2019-10-01 13:29:56 UTC
Created attachment 93369 [details] [review]
Bug 18084: Language selector hidden in user menu on mobile interfaces

This patch updates templates and CSS so that the language-selection menu
in the header will not be hidden if the browser width is too narrow.

This patch also makes some more general improvements to the responsive
adaptability of the header elements.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the changes by viewing pages in the OPAC and adjusting your browser
width, paying attention to how elements in the top menu adapt to
different sizes. Test under varying conditions:

 - Logged in/not loggeed user
 - Search history enabled and disabled
 - OpacLangSelectorMode showing menu in header or not
 - opacuserlogin enabled or disabled
Comment 3 Lucas Gass 2019-10-01 14:13:11 UTC
Created attachment 93374 [details] [review]
Bug 18084: Language selector hidden in user menu on mobile interfaces

Owen, the language dropdown now looks great so I am signing off. Should the 'Clear' button in red have the same font-weight/font-size as rest of the navbar?


This patch updates templates and CSS so that the language-selection menu
in the header will not be hidden if the browser width is too narrow.

This patch also makes some more general improvements to the responsive
adaptability of the header elements.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the changes by viewing pages in the OPAC and adjusting your browser
width, paying attention to how elements in the top menu adapt to
different sizes. Test under varying conditions:

 - Logged in/not loggeed user
 - Search history enabled and disabled
 - OpacLangSelectorMode showing menu in header or not
 - opacuserlogin enabled or disabled
Comment 4 Katrin Fischer 2019-10-02 14:53:17 UTC
Created attachment 93492 [details] [review]
Bug 18084: Language selector hidden in user menu on mobile interfaces

This patch updates templates and CSS so that the language-selection menu
in the header will not be hidden if the browser width is too narrow.

This patch also makes some more general improvements to the responsive
adaptability of the header elements.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test the changes by viewing pages in the OPAC and adjusting your browser
width, paying attention to how elements in the top menu adapt to
different sizes. Test under varying conditions:

 - Logged in/not loggeed user
 - Search history enabled and disabled
 - OpacLangSelectorMode showing menu in header or not
 - opacuserlogin enabled or disabled

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-10-03 10:02:10 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Martin Renvoize 2019-10-07 11:13:00 UTC
Created attachment 93819 [details] [review]
Bug 18084: (RM follow-up) Fix authentication tests

A change to the way we hide/expose the user menu in the opac resulted in
the authentication selenium tests failing. This was due to the logout
button being identified as hidden under the new code and as such the
logout action not being triggered correctly between each login test. The
was was simply to add an additonal 'click' event called on the menu
button to put the logout link into the visible viewport.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>